package com.jeeplus.test.wdt.disposeRubbish.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.sys.service.dto.UserDTO;
import com.jeeplus.test.oss.domain.WorkAttachmentInfo;
import com.jeeplus.test.wdt.disposeRubbish.domain.DisposeRubbish;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DisposeRubbishMapper extends BaseMapper<DisposeRubbish> {

    UserDTO getUserInfoByOffId(@Param("officeId") String officeId);

    /**
     * 根据id获取巡查工单信息
     * @param id
     * @return
     */
    DisposeRubbish selectById(@Param("id") String id);

    /**
     * 根据id获取巡查工单信息
     * @param procInsIdList
     * @return
     */
    List<DisposeRubbish> getByProcInsId(@Param("procInsIdList") List<String> procInsIdList);

    //查出附件信息
    List<WorkAttachmentInfo> getByAttachmentId(String id);

    //查出附件信息
    List<String> getAllYearMonthByOfficeId(String officeId);

    //查出附件信息
    List<DisposeRubbish> getDisposeRubbishAllYearMonthByOfficeId(String officeId);

    //查出附件信息
    List<DisposeRubbish> getDetailCollectByOfficeIdAndMonth(@Param("officeId")String officeId, @Param("startDate")String startDate, @Param("endDate")String endDate);

    /**
     * 根据id获取巡查工单信息
     * @param no
     * @return
     */
    DisposeRubbish getByNo(@Param("no") String no);
}
